#### D.11.4.2 decoef

Procedure from library `findifs.lib` (see findifs_lib).

Usage:
  decoef(P,n); P a poly, n a number

Return:
  ideal

Purpose:
  decompose polynomial P into summands with respect
  to the presence of the number n in the coefficients

Note:
  n is usually a parameter with no power

Example:

    LIB "findifs.lib";
    " EXAMPLE:";
    ==>  EXAMPLE:
    ring r = (0,dh,dt),(Tx,Tt),dp;
    poly P = (4*dh^2-dt)*Tx^3*Tt + dt*dh*Tt^2 + dh*Tt;
    decoef(P,dt);
    ==> _[1]=(4*dh^2)*Tx^3*Tt+(dh)*Tt
    ==> _[2]=(-dt)*Tx^3*Tt+(dh*dt)*Tt^2
    decoef(P,dh);
    ==> _[1]=(-dt)*Tx^3*Tt
    ==> _[2]=(4*dh^2)*Tx^3*Tt+(dh*dt)*Tt^2+(dh)*Tt

User manual for Singular version 4.4.1, 2025, generated by texi2html.